:root {
  font-family: system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  min-height: 100svh;
  max-width: 1280px;
  margin: 0 auto;
  padding: 2rem;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
}

hr {
  display: block;
  border: none;
  border-radius: 2px;
  height: 4px;
}

.chat-log {
  background-color: rgba(0, 0, 0, 0.25);
  height: 10rem;
  display: flex;
  flex-direction: column-reverse;
  justify-content: end;
  overflow-y: scroll;
  list-style-type: none;
  padding: 0.5rem;
  gap: 0.25rem;
  max-width: 20rem;
}

.chat-log span:nth-child(1) {
  font-weight: bold;
}

.drag-container {
  width: calc(100vw - 2em); /* subtract padding × 2 */
  height: calc(100vh - 2em);
  position: fixed;
  top: 0px;
  left: 0px;
  
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  
  gap: 1em;
  padding: 1em;
  
  background-color: rgba(0, 0, 0, 0.75);
}

.drag-container .dragable {
  max-width: 32em;
  border: 2px solid #BF4040;
  border-radius: 1em;
  padding: 1em;
  background: #BF404050;
}

.drag-container .closebtn {
  width: 100%;
  max-width: 14em;
}


